using UnityEngine;
using System.Collections;

public class ScrollTexture : MonoBehaviour 
{
    public Vector2 scrollSpeed;
    private Vector2 texCoordOffset = Vector2.zero;
 
    void LateUpdate() 
    {
        texCoordOffset += ( scrollSpeed * Time.deltaTime );
		
        if( renderer.enabled )
            renderer.materials[0].SetTextureOffset( "_MainTex", texCoordOffset );
    }
}
